Upload stack pack

  • POST /stack/versions
Auth

Creates or updates an Elastic Stack pack and template. The endpoint supports multipart/form-data requests, as well as application/zip and application/octet-stream requests with a binary body. The maximum size of the payload is 1Mb. When the archive contains an Elastic Stack configuration that is available through the API, the configuration and template are overwritten.

Request body

file string · format: binary required

Zip file that contains one or multiple stack configurations

Responses

The Elastic Stack pack successfully processed.

application/json
stacks object[] required
version string

Stack version

template object required

The template information for an Elastic Stack version.

template_version string

Template version

elasticsearch object required

The Elasticsearch configuration for an Elastic Stack version.

docker_image string required

Docker image for the Elasticsearch

plugins string[] required

List of available plugins

default_plugins string[] required

List of default plugins

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

compatible_node_types string[]

Node types that are compatible with this one

kibana object required

The Kibana configuration for an Elastic Stack version.

version string

Version of Kibana

docker_image string required

Docker image for the kibana

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

compatible_node_types string[]

Node types that are compatible with this one

deleted boolean

Identifies that the Elastic Stack version is marked for deletion

upgradable_to string[] required

Stack Versions that this version can upgrade to

min_upgradable_from string

The minimum version recommended to upgrade this version.

whitelisted boolean

Whether or not this version is whitelisted. This is only relevant in EC (SaaS) and is not sent in ECE.

accessible boolean

Whether or not this version is accessible by the calling user. This is only relevant in EC (SaaS) and is not sent in ECE.

rolling_upgrade_compatible_versions string[]

List of versions that can be upgraded to the current version of the stackpack

errors object[] required

Errors occurred while processing the Elastic Stack pack. Key: stack version, Value: List of errors

stack_version string required

Version of the stack (ie directory name in archive root)

errors object required
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields